## khronos-opencl-headers 3.0~2020.05.12

=== tests/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.11)

project(OpenCL_Headers_Tests)

enable_testing()

include_directories(${PROJECT_SOURCE_DIR}/..)

# Make sure headers do not produce warnings
if (NOT MSVC)
add_compile_options(-Wall -Wextra -Werror -pedantic -Wno-format)
endif ()

# Add a test for a given source file for each version of OpenCL
function(add_header_test NAME SOURCE)
  foreach(VERSION 100 110 120 200 210 220 300)
    set(TEST_EXE ${NAME}_${VERSION})
    add_executable(${TEST_EXE} ${SOURCE})
    target_compile_definitions(${TEST_EXE}
      PUBLIC -DCL_TARGET_OPENCL_VERSION=${VERSION}
    )
    add_test(NAME ${TEST_EXE} COMMAND ${TEST_EXE})
  endforeach(VERSION)
endfunction(add_header_test)

# Tests
add_header_test(cl_h test_cl.h.c)
add_header_test(cl_egl_h test_cl_egl.h.c)
add_header_test(cl_ext_h test_cl_ext.h.c)
add_header_test(cl_ext_intel_h test_cl_ext_intel.h.c)
add_header_test(cl_gl_h test_cl_gl.h.c)
add_header_test(cl_gl_ext_h test_cl_gl_ext.h.c)
add_header_test(cl_half_h test_cl_half.h.c)
add_header_test(cl_icd_h test_cl_icd.h.c)
add_header_test(cl_platform_h test_cl_platform.h.c)
add_header_test(cl_opencl_h test_opencl.h.c)
add_header_test(cl_version_h test_cl_version.h.c)
add_header_test(headers test_headers.c)

## khronos-opencl-headers 1.0-2010.06.13

=== debian/changelog ===
khronos-opencl-headers (1.0-2010.06.13-2) unstable; urgency=low

  [ Russ Allbery ]
  * Upload to unstable.
  * Add myself to Uploaders.

  [ Andreas Beckmann ]
  * Fix typo in debian/watch and add version=3.

 -- Russ Allbery <rra@debian.org>  Tue, 26 Apr 2011 17:11:42 -0700

khronos-opencl-headers (1.0-2010.06.13-1) experimental; urgency=low

  * Initial release.  (Closes: #598477)
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 11 Oct 2010 01:01:53 +0200

=== debian/control ===
Source: khronos-opencl-headers
Section: contrib/libdevel
Priority: extra
Maintainer: Andreas Beckmann <debian@abeckmann.de>
Uploaders: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://www.khronos.org/registry/cl/
Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/khronos-opencl-headers/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/khronos-opencl-headers/

Package: opencl-headers
Architecture: all
Depends: ${misc:Depends}
Breaks: nvidia-libopencl1-dev (<< 256.53-2~), nvidia-cuda-dev (<< 3.1-1~)
Replaces: nvidia-libopencl1-dev (<< 256.53-2~), nvidia-cuda-dev (<< 3.1-1~)
Description: OpenCL (Open Computing Language) header files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the development header files for the OpenCL API 1.0
 as published by The Khronos Group Inc.  The corresponding specification and
 documentation can be found on the Khronos website.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

api		 = 1.0
headers		 = opencl.h cl_platform.h cl.h cl_ext.h cl_d3d10.h cl_gl.h cl_gl_ext.h
headers_hpp	 = cl.hpp
src_dir		 = khronos-opencl-headers-$(api).orig
src_file	 = khronos-opencl-headers-$(api).tar.gz
get-orig-source:
	rm -rf $(src_dir)
	mkdir $(src_dir)
	set -e; cd $(src_dir) ; \
	for h in $(headers) ; do \
		wget http://www.khronos.org/registry/cl/api/$(api)/$$h ; \
	done ; \
	for h in $(headers_hpp) ; do \
		wget http://www.khronos.org/registry/cl/api/1.1/$$h ; \
	done
	tar cfz $(src_file) --owner=root --group=src $(src_dir)
	rm -rf $(src_dir)

## khronos-opencl-headers 1.1-2010.07.15

=== debian/changelog ===
khronos-opencl-headers (1.1-2010.07.15-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Upload to unstable.
  * Set Maintainer to Debian NVIDIA Maintainers and move myself to Uploaders.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 25 Jun 2011 18:24:31 +0200

khronos-opencl-headers (1.1-2010.07.15-1) experimental; urgency=low

  * OpenCL API 1.1
  * Upload to experimental.
  * Update Standards-Version to 3.9.2, no changes needed.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 15 May 2011 18:08:12 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: khronos-opencl-headers
 Section: contrib/libdevel
 Priority: extra
-Maintainer: Andreas Beckmann <debian@abeckmann.de>
-Uploaders: Russ Allbery <rra@debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Uploaders:
+ Andreas Beckmann <debian@abeckmann.de>,
+ Russ Allbery <rra@debian.org>,
 Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.khronos.org/registry/cl/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/khronos-opencl-headers/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/khronos-opencl-headers/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 %:
 	dh $@
 
-api		 = 1.0
+api		 = 1.1
 headers		 = opencl.h cl_platform.h cl.h cl_ext.h cl_d3d10.h cl_gl.h cl_gl_ext.h
 headers_hpp	 = cl.hpp
 src_dir		 = khronos-opencl-headers-$(api).orig

## khronos-opencl-headers 1.2-2011.11.16

=== debian/changelog ===
khronos-opencl-headers (1.2-2011.11.16-1) experimental; urgency=low

  [ Andreas Beckmann ]
  * OpenCL API 1.2.
  * debian/copyright: Update to dep5.mdwn?revision=202.
  * Upload to experimental.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Russ Allbery <rra@debian.org>  Mon, 23 Jan 2012 11:11:54 -0800

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Andreas Beckmann <debian@abeckmann.de>,
  Russ Allbery <rra@debian.org>,
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8)
 Standards-Version: 3.9.2
 Homepage: http://www.khronos.org/registry/cl/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

api		 = 1.2
headers_1.0	 = opencl.h cl_platform.h cl.h cl_ext.h cl_d3d10.h cl_gl.h cl_gl_ext.h
headers_1.1	 = $(headers_1.0)
headers_1.2	 = $(headers_1.1) cl_dx9_media_sharing.h cl_d3d11.h
headers_hpp	 = cl.hpp
src_dir		 = khronos-opencl-headers-$(api).orig
src_file	 = khronos-opencl-headers-$(api).tar.gz
get-orig-source:
	rm -rf $(src_dir)
	mkdir $(src_dir)
	set -e; cd $(src_dir) ; \
	for h in $(headers_$(api)) ; do \
		wget http://www.khronos.org/registry/cl/api/$(api)/$$h ; \
	done ; \
	for h in $(headers_hpp) ; do \
		wget http://www.khronos.org/registry/cl/api/1.1/$$h ; \
	done
	tar cfz $(src_file) --owner=root --group=src $(src_dir)
	rm -rf $(src_dir)

## khronos-opencl-headers 1.2-2012.04.18a

=== debian/changelog ===
khronos-opencl-headers (1.2-2012.04.18a-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 04 Oct 2012 15:11:32 +0200

khronos-opencl-headers (1.2-2012.04.18a-1) unstable; urgency=low

  * Use cl.hpp from API 1.2.  (Closes: #676427)
  * Remove reference to API 1.0 from long Description.  (Closes: #675486)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 08 Jun 2012 05:36:06 +0200

khronos-opencl-headers (1.2-2012.04.18-2) unstable; urgency=low

  * Move from contrib to main.  There is a free version of libopencl1 (from
    http://forge.imag.fr/projects/ocl-icd/) coming, see #675528.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 02 Jun 2012 20:11:28 +0200

khronos-opencl-headers (1.2-2012.04.18-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/copyright: Use the final copyright-format 1.0 URL.
  * Update Standards-Version to 3.9.3, no changes needed.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 13:40:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: khronos-opencl-headers
-Section: contrib/libdevel
+Section: libdevel
 Priority: extra
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
@@ -7,7 +7,7 @@
  Russ Allbery <rra@debian.org>,
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.khronos.org/registry/cl/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/khronos-opencl-headers/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/khronos-opencl-headers/
@@ -22,6 +22,6 @@
  general-purpose parallel programming of heterogeneous systems that include
  CPUs, GPUs and other processors.
  .
- This package provides the development header files for the OpenCL API 1.0
+ This package provides the development header files for the OpenCL API
  as published by The Khronos Group Inc.  The corresponding specification and
  documentation can be found on the Khronos website.

## khronos-opencl-headers 1.2-2012.11.30

=== debian/changelog ===
khronos-opencl-headers (1.2-2012.11.30-2ubuntu1) raring; urgency=low

  * Build with -msse2 -msse. The package builds header files only, so don't
    care about the flags which are needed to include the intrinsics headers.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2013 12:17:51 +0200

khronos-opencl-headers (1.2-2012.11.30-2) unstable; urgency=low

  * opencl-headers: Set Multi-Arch: allowed.  (Closes: #698495)

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 19 Jan 2013 13:05:07 +0100

khronos-opencl-headers (1.2-2012.11.30-1) unstable; urgency=low

  * New upstream release.  (Closes: #695124, #684444) 
  * Run some trivial compile tests during package build.
  * CL_EXT_SUFFIX__VERSION_1_2.diff: New, fix typo in macro name.
  * clSetPrintfCallback.patch: New, add missing declaration.
  * AMD_extensions.patch: New, add a few extensions from AMD that are not yet
    in the headers published by khronos. Thanks Vincent Danjean!
    (Closes: #695136)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 07 Dec 2012 10:42:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
  Andreas Beckmann <debian@abeckmann.de>,
  Russ Allbery <rra@debian.org>,
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8)
+Build-Depends:
+ debhelper (>= 8),
+ libgl1-mesa-dev,
 Standards-Version: 3.9.3
 Homepage: http://www.khronos.org/registry/cl/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/khronos-opencl-headers/trunk
@@ -14,6 +16,7 @@
 
 Package: opencl-headers
 Architecture: all
+Multi-Arch: allowed
 Depends: ${misc:Depends}
 Breaks: nvidia-libopencl1-dev (<< 256.53-2~), nvidia-cuda-dev (<< 3.1-1~)
 Replaces: nvidia-libopencl1-dev (<< 256.53-2~), nvidia-cuda-dev (<< 3.1-1~)

## khronos-opencl-headers 1.2-2013.06.28

=== debian/changelog ===
khronos-opencl-headers (1.2-2013.06.28-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Aug 2013 11:39:45 +0200

khronos-opencl-headers (1.2-2013.06.28-2) unstable; urgency=low

  * opencl-headers: Set Multi-Arch: foreign.
  * Set Maintainer to 'Debian OpenCL Maintainers <pkg-opencl-devel@l.a.d.o>'.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jul 2013 00:25:51 +0200

khronos-opencl-headers (1.2-2013.06.28-1) unstable; urgency=low

  * New upstream release.
  * AMD_extensions.patch: Rediffed.
  * Drop Breaks/Replaces against squeeze packages.
  * Use canonical Vcs-* URLs.
  * Switch to debhelper 9.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Jul 2013 15:28:57 +0200

khronos-opencl-headers (1.2-2013.02.12-1) unstable; urgency=low

  * New upstream release.
  * CL_EXT_SUFFIX__VERSION_1_2.diff: Drop, fixed upstream.
  * clSetPrintfCallback.patch: Drop, no longer needed.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Apr 2013 01:11:59 +0200

=== debian/control ===
Source: khronos-opencl-headers
Section: libdevel
Priority: extra
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>,
Build-Depends:
 debhelper (>= 9),
 libgl1-mesa-dev,
Standards-Version: 3.9.4
Homepage: http://www.khronos.org/registry/cl/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opencl-headers/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opencl-headers/

Package: opencl-headers
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: OpenCL (Open Computing Language) header files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the development header files for the OpenCL API
 as published by The Khronos Group Inc.  The corresponding specification and
 documentation can be found on the Khronos website.

## khronos-opencl-headers 1.2-2013.10.23

=== debian/changelog ===
khronos-opencl-headers (1.2-2013.10.23-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Nov 2013 00:44:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  libgl1-mesa-dev,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.khronos.org/registry/cl/
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opencl-headers/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opencl-headers/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,14 @@
 %:
 	dh $@
 
+override_dh_auto_test:
+	$(MAKE) -C debian/t
+
+override_dh_auto_clean:
+	$(MAKE) -C debian/t clean
+
 api		 = 1.2
+api_hpp		 = 1.2
 headers_1.0	 = opencl.h cl_platform.h cl.h cl_ext.h cl_d3d10.h cl_gl.h cl_gl_ext.h
 headers_1.1	 = $(headers_1.0)
 headers_1.2	 = $(headers_1.1) cl_dx9_media_sharing.h cl_d3d11.h
@@ -18,7 +25,7 @@
 		wget http://www.khronos.org/registry/cl/api/$(api)/$$h ; \
 	done ; \
 	for h in $(headers_hpp) ; do \
-		wget http://www.khronos.org/registry/cl/api/1.1/$$h ; \
+		wget http://www.khronos.org/registry/cl/api/$(api_hpp)/$$h ; \
 	done
 	tar cfz $(src_file) --owner=root --group=src $(src_dir)
 	rm -rf $(src_dir)

=== debian/watch ===
version=3
# There is no tarball or similar distribution available from
#   http://www.khronos.org/registry/cl/
# The headers have to be downloaded file-by-file.  The get-orig-source
# target in debian/rules can be used to download and tar them.

## khronos-opencl-headers 1.2-2014.04.13

=== debian/changelog ===
khronos-opencl-headers (1.2-2014.04.13-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use __vector instead of vector in cl_platform.h to allow building
    with -maltivec. Closes: #760310

 -- Andreas Barth <aba@ayous.org>  Fri, 12 Sep 2014 19:52:42 +0000

khronos-opencl-headers (1.2-2014.04.13-1) unstable; urgency=medium

  * New upstream release.
  * Refresh fuzzy AMD_extensions.patch.
  * Add lintian override for debian-watch-may-check-gpg-signature.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 May 2014 11:09:31 +0200

## khronos-opencl-headers 1.2-svn26009

=== debian/changelog ===
khronos-opencl-headers (1.2-svn26009-1) unstable; urgency=medium

  * New upstream snapshot.
    - Includes cl_egl.h.
  * Switch get-orig-source target to download from SVN.  (Closes: #718658)
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Oct 2014 17:04:48 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  libgl1-mesa-dev,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.khronos.org/registry/cl/
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opencl-headers/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opencl-headers/

=== debian/rules ===
#!/usr/bin/make -f

package	 = khronos-opencl-headers
api	 = 1.2

%:
	dh $@

override_dh_auto_test:
	$(MAKE) -C debian/t

override_dh_auto_clean:
	$(MAKE) -C debian/t clean


version		 = $(api)-svn$(REVISION)
src_dir		 = $(package)-$(version).orig
src_file	 = $(package)_$(version).orig.tar.gz
svn_url		 = https://cvs.khronos.org/svn/repos/registry/trunk/public/cl/api/$(api)
svn_latest	 = $(shell LC_MESSAGES=C svn info $(svn_url) | sed -n '/Last Changed Rev:/ s/.* //p')

get-orig-source:
ifeq (,$(filter-out latest,$(REVISION)))
	debian/rules $@ REVISION="$(or $(svn_latest),fail)"
else
	$(RM) -r $(src_dir)
	svn export --revision $(REVISION) $(svn_url) $(src_dir)
	GZIP="--best --no-name" tar cfz $(src_file) --exclude-vcs --owner=root --group=src $(src_dir)
	$(RM) -r $(src_dir)
endif

latest:
	@echo "Latest header revision for API $(api) is r$(svn_latest)"

## khronos-opencl-headers 2.0~svn28973

=== debian/changelog ===
khronos-opencl-headers (2.0~svn28973-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Apr 2015 17:42:50 +0200

khronos-opencl-headers (2.0~svn28973-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 11 Jan 2015 22:31:54 +0100

khronos-opencl-headers (2.0~svn26078-1) experimental; urgency=medium

  * New upstream snapshot.
    - OpenCL API 2.0.  (Closes: #762943)
    - cl.hpp is gone.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Oct 2014 17:32:20 +0200

## khronos-opencl-headers 2.0~svn31815

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  libgl1-mesa-dev,
 Standards-Version: 3.9.6
 Homepage: http://www.khronos.org/registry/cl/
-Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opencl-headers/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opencl-headers/
+Vcs-Git: git://anonscm.debian.org/pkg-opencl/khronos-opencl-headers.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/khronos-opencl-headers.git
 
 Package: opencl-headers
 Architecture: all

## khronos-opencl-headers 2.0~svn32091

=== debian/changelog ===
khronos-opencl-headers (2.0~svn32091-2) unstable; urgency=medium

  * remove EGL includes (backport upstream patch) (Closes: #809263)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 11 Feb 2016 11:35:05 +0100

khronos-opencl-headers (2.0~svn32091-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream snapshot (2015-10-07).

  [ James Price ]
  * Fix macro definitions in cl2.hpp tests
  * Patch to fix symbol clash when cl2.hpp included from multiple files

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Oct 2015 00:16:54 +0100

khronos-opencl-headers (2.0~svn31815-2) unstable; urgency=medium

  * Actually ship cl2.hpp.  (Closes: #795778)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Sep 2015 00:10:49 +0200

khronos-opencl-headers (2.0~svn31815-1) unstable; urgency=medium

  * New upstream snapshot (2015-08-10).
    - Includes cl2.hpp.  (Closes: #795778)
  * Convert packaging repository from SVN to GIT.
  * Improve portability of header compile tests.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Sep 2015 15:01:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: khronos-opencl-headers
+Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
+Uploaders: Andreas Beckmann <anbe@debian.org>,
+           Russ Allbery <rra@debian.org>,
+           Vincent Danjean <vdanjean@debian.org>
 Section: libdevel
 Priority: extra
-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders:
- Andreas Beckmann <anbe@debian.org>,
- Russ Allbery <rra@debian.org>,
-Build-Depends:
- debhelper (>= 9),
- libgl1-mesa-dev,
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+               libgl1-mesa-dev
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/khronos-opencl-headers.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/khronos-opencl-headers.git
 Homepage: http://www.khronos.org/registry/cl/
-Vcs-Git: git://anonscm.debian.org/pkg-opencl/khronos-opencl-headers.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/khronos-opencl-headers.git
 
 Package: opencl-headers
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 package	 = khronos-opencl-headers
-api	 = 1.2
+api	 = 2.0
 
 %:
 	dh $@
@@ -13,7 +13,7 @@
 	$(MAKE) -C debian/t clean
 
 
-version		 = $(api)-svn$(REVISION)
+version		 = $(api)~svn$(REVISION)
 src_dir		 = $(package)-$(version).orig
 src_file	 = $(package)_$(version).orig.tar.gz
 svn_url		 = https://cvs.khronos.org/svn/repos/registry/trunk/public/cl/api/$(api)

## khronos-opencl-headers 2.1

=== debian/changelog ===
khronos-opencl-headers (2.1-1) unstable; urgency=medium

  * New upstream release (without tarball nor git tag :-( )
    + OpenCL 2.1 support
    + no C++ headers anymore, moved to another separate project

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 09 Sep 2016 00:05:33 +0200

=== debian/control ===
Source: khronos-opencl-headers
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>,
           Russ Allbery <rra@debian.org>,
           Vincent Danjean <vdanjean@debian.org>
Section: libdevel
Priority: extra
Build-Depends: debhelper (>= 9),
               libgl1-mesa-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/khronos-opencl-headers.git
Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/khronos-opencl-headers.git
Homepage: http://www.khronos.org/registry/cl/

Package: opencl-c-headers
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: opencl-headers (<<2.1)
Replaces: opencl-headers (<<2.1)
Description: OpenCL (Open Computing Language) C header files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the C development header files for the OpenCL API
 as published by The Khronos Group Inc.  The corresponding specification and
 documentation can be found on the Khronos website.

Package: opencl-headers
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         opencl-c-headers (= ${source:Version}),
         opencl-clhpp-headers (>= 2.0.10)
Description: OpenCL (Open Computing Language) header files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage depends on packages providing the C and C++ headers files
 for the OpenCL API as published by The Khronos Group Inc.  The corresponding
 specification and documentation can be found on the Khronos website.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	$(MAKE) -C debian/t

override_dh_auto_clean:
	$(MAKE) -C debian/t clean

## khronos-opencl-headers 2.2~2018.02.21-gb5c3680

=== debian/changelog ===
khronos-opencl-headers (2.2~2018.02.21-gb5c3680-1) unstable; urgency=medium

  * New upstream snapshot.
    (2018-02-21, commit b5c3680df1e577f002156d64bac3081ddb40ff1e)
    + OpenCL 2.2 support.
  * Set Rules-Requires-Root: no.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Add debian/upstream/metadata.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Feb 2018 21:19:10 +0100

khronos-opencl-headers (2.1-2017.07.18-gf039db6-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream snapshot.
    (2017-07-18, commit f039db6764d52388658ef15c30b2237bbda49803)
  * d/rules: Add "tarball" target to generate upstream snapshot tarballs from
    the upstream git repository.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.3.
  * Use https:// URLs.
  * Switch to debhelper compat level 11.

  [ Russ Allbery ]
  * Remove myself from Uploaders.  (Closes: #872768)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jan 2018 22:18:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: khronos-opencl-headers
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Andreas Beckmann <anbe@debian.org>,
-           Russ Allbery <rra@debian.org>,
            Vincent Danjean <vdanjean@debian.org>
 Section: libdevel
-Priority: extra
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Build-Depends: debhelper (>= 11~),
                libgl1-mesa-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/khronos-opencl-headers.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/khronos-opencl-headers.git
-Homepage: http://www.khronos.org/registry/cl/
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
+Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
+Homepage: https://www.khronos.org/registry/cl/
 
 Package: opencl-c-headers
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: opencl-headers (<<2.1)
-Replaces: opencl-headers (<<2.1)
+Breaks: opencl-headers (<< 2.1)
+Replaces: opencl-headers (<< 2.1)
 Description: OpenCL (Open Computing Language) C header files
  OpenCL (Open Computing Language) is a multi-vendor open standard for
  general-purpose parallel programming of heterogeneous systems that include

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C debian/t
endif

override_dh_auto_clean:
	$(MAKE) -C debian/t clean

tarball: COMMIT_TIME = $(shell git log --format=format:%ct -1 $(COMMIT))
tarball: COMMIT_DATE = $(shell git log --format=format:%cd --date=format:%Y.%m.%d -1 $(COMMIT))
tarball: PREFIX = khronos-opencl-headers-$(MAJOR).$(MINOR)~$(COMMIT_DATE)-g$(shell git describe --always $(COMMIT))
tarball:
	test -n "$(COMMIT)"
	test -n "$(MAJOR)"
	test -n "$(MINOR)"
	faketime @$(COMMIT_TIME) git archive --prefix $(PREFIX)/ $(COMMIT):opencl$(MAJOR)$(MINOR)/CL/ | xz > $(PREFIX).tar.xz
	touch -d @$(COMMIT_TIME) $(PREFIX).tar.xz

=== debian/watch ===
version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/KhronosGroup/OpenCL-CLHPP/releases \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

opts="mode=git, pgpmode=none" \
   https://github.com/KhronosGroup/OpenCL-Headers.git \
   refs/heads/opencl([\d])([\d]) debian uupdate

## khronos-opencl-headers 2.2~2018.05.14-gde26592

=== debian/changelog ===
khronos-opencl-headers (2.2~2018.05.14-gde26592-1) unstable; urgency=medium

  * New upstream snapshot.
    (2018-05-14, commit de26592167b9fdea503885e40e8755393c56523d)
    + Unified headers for all OpenCL versions.
  * d/rules: Adjust "tarball" target for reorganized upstream repository.
  * d/t: Test compilation with all allowed CL_TARGET_OPENCL_VERSION values.
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Jul 2018 00:51:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 11~),
                libgl1-mesa-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
 Homepage: https://www.khronos.org/registry/cl/

## khronos-opencl-headers 2.2~2019.01.17-g49f07d3

=== debian/changelog ===
khronos-opencl-headers (2.2~2019.01.17-g49f07d3-1) unstable; urgency=medium

  * New upstream snapshot.  (Closes: #917134)
    (2019-01-17, commit 49f07d313344ddb22701847ea5c18cb7db03b0d7)
  * Remove use__vector.patch, applied upstream.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Feb 2019 03:22:33 +0100

khronos-opencl-headers (2.2~2018.10.31-g03490c3-1) unstable; urgency=medium

  * New upstream snapshot.
    (2018-10-31, commit 03490c3f8cb3b8667942b084a3151de20649f57a)
  * Refresh patches.
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Dec 2018 04:14:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
            Vincent Danjean <vdanjean@debian.org>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               libgl1-mesa-dev
+Build-Depends:
+ debhelper-compat (= 12),
+ libgl1-mesa-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
 Homepage: https://www.khronos.org/registry/cl/

## khronos-opencl-headers 2.2~2019.08.06-g0d5f18c

=== debian/changelog ===
khronos-opencl-headers (2.2~2019.08.06-g0d5f18c-1) unstable; urgency=medium

  * New upstream snapshot.
    (2019-08-06, commit 0d5f18c6e7196863bc1557a693f1509adfcee056)
  * Bump Standards-Version to 4.4.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Sep 2019 02:21:39 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 12),
  libgl1-mesa-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
 Homepage: https://www.khronos.org/registry/cl/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C debian/t
endif

override_dh_auto_clean:
	$(MAKE) -C debian/t clean

UPSTREAM	 = $(subst ., ,$(subst -, ,$(subst ~, ,$(DEB_VERSION_UPSTREAM))))
MAJOR		?= $(word 1,$(UPSTREAM))
MINOR		?= $(word 2,$(UPSTREAM))

tarball: COMMIT_TIME = $(shell git log --format=format:%ct -1 $(COMMIT))
tarball: COMMIT_DATE = $(shell git log --format=format:%cd --date=format:%Y.%m.%d -1 $(COMMIT))
tarball: PREFIX = khronos-opencl-headers-$(MAJOR).$(MINOR)~$(COMMIT_DATE)-g$(shell git describe --always $(COMMIT))
tarball:
	test -n "$(COMMIT)"
	git archive --prefix $(PREFIX)/ $(COMMIT) | xz > $(PREFIX).tar.xz
	touch -d @$(COMMIT_TIME) $(PREFIX).tar.xz

## khronos-opencl-headers 3.0~2020.05.12-g5cc337c

=== debian/changelog ===
khronos-opencl-headers (3.0~2020.05.12-g5cc337c-1) unstable; urgency=medium

  * New upstream snapshot.
    (2020-05-12, commit 5cc337c890dab1c996cc97b617c578d37a7247bf)
  * Khronos relicensed the headers under Apache-2.0.
  * Relicense the packaging under Apache-2.0, too.
  * Refresh patch.
  * Run upstream testsuite.
  * Extend our testsuite to 3.0.
  * Switch to debhelper-compat (= 13).
  * Bump Standards-Version to 4.5.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 May 2020 19:39:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Section: libdevel
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libgl1-mesa-dev,
+ cmake,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
 Homepage: https://www.khronos.org/registry/cl/

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,14 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@
+	dh $@ --sourcedirectory=tests
 
-override_dh_auto_test:
+execute_after_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C debian/t
 endif
 
-override_dh_auto_clean:
+execute_after_dh_auto_clean:
 	$(MAKE) -C debian/t clean
 
 UPSTREAM	 = $(subst ., ,$(subst -, ,$(subst ~, ,$(DEB_VERSION_UPSTREAM))))

## khronos-opencl-headers 3.0~2020.12.18

=== debian/changelog ===
khronos-opencl-headers (3.0~2020.12.18-1) unstable; urgency=medium

  * New upstream release.
  * Use upstream's new cmake build system.
  * Update watch file to match upstream tags.
  * Bump Standards-Version to 4.5.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Jan 2021 18:58:16 +0100

khronos-opencl-headers (3.0~2020.10.14-g9fac4e9-1) unstable; urgency=medium

  * New upstream snapshot.
    (2020-10-14, commit 9fac4e9866a961f66bdd72fa2bff50145512f972)
  * Simplify snapshot generation.
  * Refresh patches.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Nov 2020 23:16:06 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libgl1-mesa-dev,
  cmake,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
 Homepage: https://www.khronos.org/registry/cl/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_after_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C debian/t
endif

execute_after_dh_auto_clean:
	$(MAKE) -C debian/t clean


ifneq (,$(wildcard .git))
khronos:
	git remote show $@ >/dev/null 2>&1 || git remote add $@ $(shell sed -rn 's/Repository: //p' debian/upstream/metadata)
	git fetch $@ --prune

UPSTREAM	 = $(subst ., ,$(subst -, ,$(subst ~, ,$(DEB_VERSION_UPSTREAM))))
MAJOR		?= $(word 1,$(UPSTREAM))
MINOR		?= $(word 2,$(UPSTREAM))

tarball: COMMIT ?= khronos/master
tarball: COMMIT_TIME = $(shell git log --format=format:%ct -1 $(COMMIT))
tarball: COMMIT_DATE = $(shell git log --format=format:%cd --date=format:%Y.%m.%d -1 $(COMMIT))
tarball: PREFIX = khronos-opencl-headers-$(MAJOR).$(MINOR)~$(COMMIT_DATE)-g$(shell git describe --always $(COMMIT))
tarball:
	test -n "$(COMMIT)"
	git archive --prefix $(PREFIX)/ $(COMMIT) | xz > $(PREFIX).tar.xz
	touch -d @$(COMMIT_TIME) $(PREFIX).tar.xz
endif

=== debian/watch ===
version=4
opts="dversionmangle=s/^\d[\d.]*~//, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%khronos-opencl-headers-$1.tar.gz%" \
    https://github.com/KhronosGroup/OpenCL-Headers/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## khronos-opencl-headers 3.0~2021.06.30

=== debian/changelog ===
khronos-opencl-headers (3.0~2021.06.30-2) unstable; urgency=medium

  * Add superficial autopkgtest trying to compile the headers.
  * Restore the CL_EXT_* defines as they are used by other projects.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Sep 2021 12:15:15 +0200

khronos-opencl-headers (3.0~2021.06.30-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Aug 2021 23:34:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libgl1-mesa-dev,
  cmake,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
 Homepage: https://www.khronos.org/registry/cl/
@@ -18,7 +18,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: opencl-headers (<< 2.1)
+Breaks: opencl-headers (<< 2.1), opencl-clhpp-headers (<< 3.0~2.0.14)
 Replaces: opencl-headers (<< 2.1)
 Description: OpenCL (Open Computing Language) C header files
  OpenCL (Open Computing Language) is a multi-vendor open standard for

=== debian/tests/control ===
Tests: compile-headers
Depends: opencl-c-headers, g++, libva-dev
Restrictions: superficial, allow-stderr

## khronos-opencl-headers 3.0~2022.01.04

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(OpenCLHeaders
  VERSION 2.2
  LANGUAGES C # Ideally should be NONE, but GNUInstallDirs detects platform arch using try_compile
  # https://stackoverflow.com/questions/43379311/why-does-project-affect-cmakes-opinion-on-cmake-sizeof-void-p
)

include(GNUInstallDirs)

add_library(Headers INTERFACE)
target_include_directories(Headers
  SYSTEM
  BEFORE
  INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

install(
  TARGETS Headers
  EXPORT OpenCLHeadersTargets
)

install(
  DIRECTORY CL
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
export(
  EXPORT OpenCLHeadersTargets
  FILE ${PROJECT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersTargets.cmake
  NAMESPACE OpenCL::
)
file(
  WRITE ${PROJECT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersConfig.cmake
  "include(\"\${CMAKE_CURRENT_LIST_DIR}/OpenCLHeadersTargets.cmake\")"
)

set(config_package_location ${CMAKE_INSTALL_DATADIR}/cmake/OpenCLHeaders)
install(
  EXPORT OpenCLHeadersTargets
  FILE OpenCLHeadersTargets.cmake
  NAMESPACE OpenCL::
  DESTINATION ${config_package_location}
)
install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersConfig.cmake
  DESTINATION ${config_package_location}
)

unset(CMAKE_SIZEOF_VOID_P)
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersConfigVersion.cmake
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY AnyNewerVersion
)
install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersConfigVersion.cmake
  DESTINATION ${config_package_location}
)

if(BUILD_TESTING)
  include(CTest)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
# Add a test for a given source file for each version of OpenCL
function(add_header_test NAME SOURCE)
  foreach(VERSION 100 110 120 200 210 220 300)
    set(TEST_EXE ${NAME}_${VERSION})
    # Some headers include system files which require anonymous structs
    # so we cannot test them with /Za:
    list(APPEND TEST_SKIP_ANSI_TESTING
      cl_d3d10_h cl_d3d11_h cl_dx9_media_sharing_h cl_dx9_media_sharing_intel_h cl_icd_h cl_layer_h)
    list(FIND TEST_SKIP_ANSI_TESTING ${NAME} TEST_SKIP_INDEX)
    if(NOT (${TEST_SKIP_INDEX} GREATER -1 AND MSVC AND CMAKE_C_FLAGS MATCHES "/Za"))
      add_executable(${TEST_EXE} ${SOURCE})
      target_compile_definitions(${TEST_EXE}
        PUBLIC -DCL_TARGET_OPENCL_VERSION=${VERSION}
      )
      target_include_directories(${TEST_EXE}
        PUBLIC ${PROJECT_SOURCE_DIR}
      )
      add_test(NAME ${TEST_EXE} COMMAND ${TEST_EXE})
    endif()
  endforeach(VERSION)
endfunction(add_header_test)

# Tests
add_header_test(cl_h test_cl.h.c)
add_header_test(cl_d3d10_h test_cl_d3d10.h.c)
add_header_test(cl_d3d11_h test_cl_d3d11.h.c)
add_header_test(cl_dx9_media_sharing_h test_cl_dx9_media_sharing.h.c)
add_header_test(cl_dx9_media_sharing_intel_h test_cl_dx9_media_sharing.h.c)
add_header_test(cl_egl_h test_cl_egl.h.c)
add_header_test(cl_ext_h test_cl_ext.h.c)
add_header_test(cl_ext_intel_h test_cl_ext_intel.h.c)
add_header_test(cl_gl_h test_cl_gl.h.c)
add_header_test(cl_gl_ext_h test_cl_gl_ext.h.c)
add_header_test(cl_half_h test_cl_half.h.c)
add_header_test(cl_icd_h test_cl_icd.h.c)
add_header_test(cl_layer_h test_cl_layer.h.c)
add_header_test(cl_platform_h test_cl_platform.h.c)
add_header_test(cl_opencl_h test_opencl.h.c)
add_header_test(cl_version_h test_cl_version.h.c)
add_header_test(headers test_headers.c)

=== debian/changelog ===
khronos-opencl-headers (3.0~2022.01.04-1) unstable; urgency=medium

  * New upstream release.
  * Drop no longer needed B-D: libgl1-mesa-dev.
  * Enable upstream build-time tests.
  * Add autopkgtest running the upstream testsuite.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Jan 2022 05:17:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- libgl1-mesa-dev,
  cmake,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0

=== debian/tests/control ===
Tests: compile-headers
Depends: opencl-c-headers, g++, libva-dev
Restrictions: superficial, allow-stderr

Tests: upstream-testsuite
Depends: opencl-c-headers, cmake, g++
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="dversionmangle=s/^\d[\d.]*~//, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/KhronosGroup/OpenCL-Headers/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## khronos-opencl-headers 3.0~2022.05.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
+cmake_policy(VERSION 3.0...3.22)
+
+# Include guard for including this project multiple times
+if(TARGET Headers)
+  return()
+endif()
 
 project(OpenCLHeaders
   VERSION 2.2
@@ -6,26 +12,47 @@
   # https://stackoverflow.com/questions/43379311/why-does-project-affect-cmakes-opinion-on-cmake-sizeof-void-p
 )
 
+option(OPENCL_HEADERS_BUILD_TESTING "Enable support for OpenCL C headers testing." OFF)
+option(OPENCL_HEADERS_BUILD_CXX_TESTS "Enable support for OpenCL C headers testing in C++ mode." ON)
+
 include(GNUInstallDirs)
 
 add_library(Headers INTERFACE)
-target_include_directories(Headers
-  SYSTEM
-  BEFORE
-  INTERFACE
-    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
-    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
-)
+add_library(OpenCL::Headers ALIAS Headers)
+
+if(CMAKE_SYSTEM_NAME MATCHES Darwin)
+  execute_process(
+    COMMAND ln -shf ${CMAKE_CURRENT_SOURCE_DIR}/CL ${CMAKE_CURRENT_BINARY_DIR}/CL
+    COMMAND ln -shf ${CMAKE_CURRENT_SOURCE_DIR}/CL ${CMAKE_CURRENT_BINARY_DIR}/OpenCL
+  )
+  target_include_directories(Headers
+    INTERFACE
+      $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
+      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
+  )
+  install(CODE "
+    file(MAKE_DIRECTORY  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/CL)
+    execute_process(
+      COMMAND ln -shf CL ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/OpenCL
+    )"
+  )
+else()
+  target_include_directories(Headers
+    INTERFACE
+      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
+      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
+  )
+endif()
 
 install(
   TARGETS Headers
   EXPORT OpenCLHeadersTargets
 )
-
 install(
   DIRECTORY CL
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
 )
+
 export(
   EXPORT OpenCLHeadersTargets
   FILE ${PROJECT_BINARY_DIR}/OpenCLHeaders/OpenCLHeadersTargets.cmake
@@ -60,7 +87,9 @@
   DESTINATION ${config_package_location}
 )
 
-if(BUILD_TESTING)
+if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME OR OPENCL_HEADERS_BUILD_TESTING)
   include(CTest)
+endif()
+if((CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME OR OPENCL_HEADERS_BUILD_TESTING) AND BUILD_TESTING)
   add_subdirectory(tests)
 endif()

=== debian/changelog ===
khronos-opencl-headers (3.0~2022.05.18-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 May 2022 21:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  cmake,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
 Homepage: https://www.khronos.org/registry/cl/

## khronos-opencl-headers 3.0~2022.09.30

=== debian/changelog ===
khronos-opencl-headers (3.0~2022.09.30-1) unstable; urgency=medium

  * New upstream release.
  * Drop CL_EXT_* defines patch.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Oct 2022 04:34:32 +0200

## khronos-opencl-headers 3.0~2023.02.06

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,9 @@
 option(OPENCL_HEADERS_BUILD_TESTING "Enable support for OpenCL C headers testing." OFF)
 option(OPENCL_HEADERS_BUILD_CXX_TESTS "Enable support for OpenCL C headers testing in C++ mode." ON)
 
+set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+include(JoinPaths)
+
 include(GNUInstallDirs)
 
 add_library(Headers INTERFACE)
@@ -22,8 +25,8 @@
 
 if(CMAKE_SYSTEM_NAME MATCHES Darwin)
   execute_process(
-    COMMAND ln -shf ${CMAKE_CURRENT_SOURCE_DIR}/CL ${CMAKE_CURRENT_BINARY_DIR}/CL
-    COMMAND ln -shf ${CMAKE_CURRENT_SOURCE_DIR}/CL ${CMAKE_CURRENT_BINARY_DIR}/OpenCL
+    COMMAND ln -snf ${CMAKE_CURRENT_SOURCE_DIR}/CL ${CMAKE_CURRENT_BINARY_DIR}/CL
+    COMMAND ln -snf ${CMAKE_CURRENT_SOURCE_DIR}/CL ${CMAKE_CURRENT_BINARY_DIR}/OpenCL
   )
   target_include_directories(Headers
     INTERFACE
@@ -31,9 +34,9 @@
       $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
   )
   install(CODE "
-    file(MAKE_DIRECTORY  ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/CL)
+    file(MAKE_DIRECTORY  ${CMAKE_INSTALL_FULL_INCLUDEDIR}/CL)
     execute_process(
-      COMMAND ln -shf CL ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/OpenCL
+      COMMAND ln -snf CL ${CMAKE_INSTALL_FULL_INCLUDEDIR}/OpenCL
     )"
   )
 else()
@@ -93,3 +96,11 @@
 if((CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME OR OPENCL_HEADERS_BUILD_TESTING) AND BUILD_TESTING)
   add_subdirectory(tests)
 endif()
+
+join_paths(OPENCL_INCLUDEDIR_PC "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
+
+configure_file(OpenCL-Headers.pc.in OpenCL-Headers.pc @ONLY)
+set(pkg_config_location ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+install(
+  FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCL-Headers.pc
+  DESTINATION ${pkg_config_location})

=== tests/pkgconfig/sdk/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(PkgConfigTest
  LANGUAGES C
)

find_package(OpenCL
  REQUIRED
  CONFIG
  COMPONENTS Headers
)

add_executable(${PROJECT_NAME}
  ../pkgconfig.c
)

target_link_libraries(${PROJECT_NAME}
  OpenCL::Headers
)

target_compile_definitions(${PROJECT_NAME}
  PRIVATE
    CL_TARGET_OPENCL_VERSION=120
)

=== debian/changelog ===
khronos-opencl-headers (3.0~2023.02.06-1) unstable; urgency=medium

  * New upstream release.
  * Install *.pc to CMAKE_INSTALL_DATADIR.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 Feb 2023 16:19:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  cmake,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-headers
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-headers.git
 Homepage: https://www.khronos.org/registry/cl/

=== debian/tests/control ===
Tests: compile-headers
Depends:
 opencl-c-headers,
 g++,
 libva-dev,
Restrictions:
 superficial,
 allow-stderr,

Tests: upstream-testsuite
Depends:
 opencl-c-headers,
 cmake,
 g++,
 make,
Restrictions:
 allow-stderr,

## khronos-opencl-headers 3.0~2023.04.17

=== debian/changelog ===
khronos-opencl-headers (3.0~2023.04.17-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Jun 2023 19:15:31 +0200
